%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_multiple_regression_kb_err
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_multiple_regression_kb_err.zip'
%Run program 'problem_multiple_regression_kb_err.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_multiple_regression_kb_err_data.mat')
%Define input arguments:
string = {3.125,'kb_err',4.1667,'kb_err',6.25,'kb_err',12.5,'kb_err'};
w = {0.92,0.94,0.96,0.98};

%Solve optimization problems:
[xout, fval, status, output] = riskprog(string, w, H, c, [], [], [], [], Aeq, beq);
 
%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('kb_err= %g', output.frval(1)));
disp(sprintf('kb_err= %g', output.frval(2)));
disp(sprintf('kb_err= %g', output.frval(3)));
disp(sprintf('kb_err= %g', output.frval(4)));
%Display left hand sides of linear equality:
disp('linear equality:');
disp(output.fAeqval');
%Display residual of linear equality:
disp(sprintf('residual of linear equality = %g', output.rAeqval));
%Display optimal point:
disp('optimal point = ');
disp(xout');
